
uniform sampler2D texture;
uniform int need_swap;

varying mediump vec2 Frag_UV;
varying mediump vec4 Frag_Color;

void main()
{
	mediump vec4 color = texture2D(texture, Frag_UV);
	color = vec4(mix(
		color * color * color * 0.75,
		color,
		sin(mod(Frag_UV.y, 0.00390625) * 3216.990877276) * 0.5 + 0.5
	).rgb, 1.0);
	if (need_swap != 0) {
		gl_FragColor = Frag_Color * color.bgra;
	} else {
		gl_FragColor = Frag_Color * color;
	}
}
